Texture2D texture2d <string uiname="Texture";>;

SamplerState linearSampler : IMMUTABLE
{
    Filter = MIN_MAG_MIP_LINEAR;
    AddressU = Clamp;
    AddressV = Clamp;
};

struct vsInput
{
    float4 Pos: POSITION;
    float4 TexCd: TEXCOORD0;
};

struct psInput
{
    float4 Pos: SV_POSITION;
    float4 TexCd: TEXCOORD0;
};

psInput VS(vsInput input)
{
    return input;
}

void PS(psInput input, out float4 color : SV_Target, out float depth : SV_Depth) //
{
    color = texture2d.Sample(linearSampler,input.TexCd.xy);
    depth = color.r;
}

technique10 Constant
{
	pass P0
	{
		SetVertexShader( CompileShader( vs_4_0, VS() ) );
		SetPixelShader( CompileShader( ps_4_0, PS() ) );
	}
}




